Update mid call tool
curl --request PUT \
--url https://app.botrep.ai/api/user/tools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://app.botrep.ai/api/user/tools/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
endpoint: '<string>',
method: '<string>',
timeout: 123,
headers: [{name: '<string>', value: '<string>'}],
schema: [{name: '<string>', type: '<string>', description: '<string>'}]
})
};
fetch('https://app.botrep.ai/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
{
"message": "Tool not found"
}
{
"message": "Validation failed",
"errors": {
"name": ["Tool name must contain only lowercase letters and underscores, and start with a letter."]
}
}
Mid Call Tools
Update mid call tool
Update an existing mid call tool
PUT
/
user
/
tools
/
{id}
Update mid call tool
This endpoint allows you to update an existing mid call tool. All fields are optional - only provide the fields you want to update.
Path Parameters
The unique identifier of the tool to update
Body Parameters
Tool name - must contain only lowercase letters and underscores, and start with a letter
Detailed explanation of when and how the AI should use this tool (max 255 characters)
Valid URL of the API endpoint to call
HTTP method:
GET, POST, PUT, PATCH, or DELETERequest timeout in seconds (1-30)
Response fields
Success message
The updated tool object with all current values
{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
{
"message": "Tool not found"
}
{
"message": "Validation failed",
"errors": {
"name": ["Tool name must contain only lowercase letters and underscores, and start with a letter."]
}
}
Managing Tool Assignments
To attach or detach this tool from assistants, use the Assistant API:- Create Assistant - Use the
tool_idsparameter to attach tools when creating an assistant - Update Assistant - Use the
tool_idsparameter to manage which tools are assigned to an assistant
⌘I

